﻿#include "hmg.ch"

#Define True  .T.
#Define False .F.

*---------------------------------------------------*
 FUNCTION AboutX()
*---------------------------------------------------*
*---------------------------------------------------*
* (©)  Mustafa López  mustalopez@gmail.com  
*---------------------------------------------------*

  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET CODEPAGE TO UNICODE

  PUBLIC  SongYesNoN := 0
  PUBLIC  cFileDp    := "Resource\Ghuna - Arabesque.mp3"
*------------------------------------------------------*

 IF .NOT. FILE("zSongs.mem")
    SongYesNoN  := 1
    SAVE TO zSongs.mem ALL LIKE SongYesNoN*
 ENDIF

If !IsWindowDefined(Form_6)
   
    DEFINE WINDOW Form_6               ;
      AT 0,0                           ;      
      WIDTH  540                       ;          
      HEIGHT 310                       ;          
      BACKCOLOR {205, 219, 210}        ;    // <--- Color Pantalla Principal Main   
      NOMAXIMIZE NOMINIMIZE NOSYSMENU  ;
      NOCAPTION NOSIZE TOPMOST         ;
      CHILD   
   
      ON KEY ESCAPE ACTION Form_6.Release   

      BoxShadow(006, 006, 534, 303 ,"08qa" ,"08qe", 000, 128, 192 )   // <--- Color Pantalla Form_6    (Azul Marino)

                        Form_6.Label_08qa.Enabled := .F.
                        Form_6.Label_08qe.Enabled := .F.

      DEFINE PLAYER Player_1
              ROW    0
              COL    0
              WIDTH  0
              HEIGHT 0
              FILE ''
              HELPID Nil
              NOAUTOSIZEWINDOW .F.            
              NOAUTOSIZEMOVIE .F.              
              NOERRORDLG .F.
              NOMENU .F.
              NOOPEN .F.
              NOPLAYBAR .T.
              SHOWALL .F.
              SHOWMODE .F.
              SHOWNAME .F.                  
              SHOWPOSITION .F.
      END PLAYER

*---------------------------------------- Cuadro Perrito ----------------------------------------*
 
      BoxShadow(026, 024, 167, 210 ,"00Sx" ,"006x", 100,009,000 ) 

                        Form_6.Label_00Sx.Enabled := .F.
                        Form_6.Label_006x.Enabled := .F.

*-------------------------------------------------------------------------------------------------*

          DEFINE IMAGE Fondo_6
               ROW 028                    
               COL 025                     
               PICTURE "Resource\perrito.jpg"
               WIDTH   154                 
               HEIGHT  196                 
          END IMAGE 

          @ 248,053 LABEL Rateret VALUE '"El Rateret Brut"'       ;     
                    Width  300  Height  25                        ; 
                    FONT "Arial" SIZE 10 BOLD ITALIC              ;
                    FONTCOLOR {198,254,198 }  BACKCOLOR {000, 128, 192}      

*------------------------------------------------------------------------------------------------*
  
      BoxShadow(031, 222, 281, 078 ,"09yZ" ,"09zX", 255 , 255 ,255 ) 

                        Form_6.Label_09yZ.Enabled := .F.
                        Form_6.Label_09zX.Enabled := .F.

        DEFINE IMAGE Fondo_7
           ROW 030 ; COL 220 ; WIDTH 275 ; HEIGHT 70 
           PICTURE 'resource\logo.jpg'             
           STRETCH .T.
       END IMAGE
     
*----------------------- Banderola Flag_Movil---------------------------*   

       BoxShadow( 147, 208, 308, 035 ,"10yz" ,"10zX", 198,254,198 ) 

                        Form_6.Label_10yZ.Enabled := .F.
                        Form_6.Label_10zX.Enabled := .F.
   
            @ 145,210 LABEL LbMucaAtual VALUE " "                 ;     
                        Width  298  Height  28                    ; 
                        FONT "Arial" SIZE 19 BOLD ITALIC          ;
                        FONTCOLOR {017,010,106} BACKCOLOR {198,254,198 }       

*-----------------------------------------------------------------------*
*-----------------------------------------------------------------------*

    DEFINE IMAGE Song_1  
          ROW     239
          COL     231 
          WIDTH   025
          HEIGHT  025 
          PICTURE 'Resource\SongYes.jpg'      
          VISIBLE .F.
          STRETCH .T.
    END IMAGE 

    DEFINE IMAGE Song_2  
          ROW     239
          COL     231
          WIDTH   025
          HEIGHT  025 
          PICTURE 'Resource\SongNo.jpg'      
          VISIBLE .F.
          STRETCH .T.
     END IMAGE 

    @ 239,231 LABEL Label_0aa VALUE "" WIDTH 025 HEIGHT 025 ACTION SongYesNo()  TOOLTIP "Sound Yes-No ?"  TRANSPARENT

*-----------------------------------------------------------------------*
*-----------------------------------------------------------------------*

          DEFINE HYPERLINK email
                ROW 202
                COL 293
                VALUE   "mustalopez@gmail.com"
                TRANSPARENT .T.
                WIDTH   200
                HANDCURSOR .T.  
                ADDRESS "mustalopez@gmail.com"
                FONTBOLD  .T.   
          END HYPERLINK  

          DEFINE BUTTON Button_D6 
                ROW    235
		COL    293
		WIDTH  140  
		HEIGHT 035
                CAPTION SPACE(10)-"&Exit"
		ACTION Form_6.Release
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP "Exit"
                FONTBOLD .T.
                FONTITALIC .T.
                PICTURE "Resource\Cancel.bmp"
                PICTALIGNMENT  LEFT
         END BUTTON
      
      _DefineTimer( "Timer_Abertura", "Form_6", 100 , {|| Efeito_Abertura()} )

   END WINDOW 

  IF SongYesNoN  = 1
      Form_6.Song_1.VISIBLE := .T. 
  ELSE
      Form_6.Song_2.VISIBLE := .T. 
  ENDIF

       Player_Yes()   

      SETWINDOWCURSOR ( Form_6.Label_0aa.Handle, "Resource\SmoothHand.cur")  
      SETWINDOWCURSOR ( Form_6.Button_D6.Handle, "Resource\SmoothHand.cur")  

   CENTER WINDOW Form_6
   ACTIVATE WINDOW Form_6

Else
   Form_6.Restore
  
Endif 

Return nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

*---------------------------------------------------*
 Function Efeito_Abertura()
*---------------------------------------------------*

*---------------------------------------------------*
* Original Project Flag_Movil
* (©) 2004 FreeWare - Humberto Fornazier / Brasil
*             hfornazier@yahoo.com.br
*---------------------------------------------------* 

          Local cTxt    := ""
          Local nTam    := 0
          Local iTime   := Seconds()
          Local aMensag := { "  Expert Designers"       , ;
                             "  Consulting Services"    , ;
                             "  Web Design Experts"     , ;
                             "  el Rateret Brut"        , ;
                             "  Mustafa López / Spain"  , ; 
                             "  Expert Designers"       , ; 
                             "  Business Managers"      , ;
                             "  Web Design Experts"     , ;
                             "  el Rateret Brut"        , ;
                             "  Mustafa López / Spain"  } 

          cTxt := aMensag[ nCt ]    
          nTam := Len( cTxt )    

          nCtEfeito += 1

          If nCtEfeito > nTam	

             Do While Seconds() - iTime < .5
             EndDo

             nCtEfeito := 0
             cDescEfeito := ""
      
             nCt++
             nCt  := Iif( nCt > 8 , 1 , nCt )

          Else

              cDescEfeito += Substr( cTxt ,  nCtEfeito , 1 ) 
     
           EnDif

           Form_6.LbMucaAtual.Value := cDescEfeito	
          

           Return Nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

*---------------------------------------------------* 
FUNCTION Player_Yes()   
*---------------------------------------------------* 

 RESTORE FROM zSongs.mem   ADDITIVE

 IF SongYesNoN  = 1
     Form_6.Player_1.Close() 
     Form_6.Player_1.Open (cFileDp)
     Form_6.Player_1.Play()  
     Form_6.Song_1.VISIBLE := .T.
     Form_6.Song_2.VISIBLE := .f.  
  ENDIF


Return Nil

*---------------------------------------------------* 
 FUNCTION  SongYesNo() 
*---------------------------------------------------* 

 RESTORE FROM zSongs.mem  ADDITIVE

 IF MsgYesNo('You want sound?','Sound Yes & No')
     SongYesNoN  = 1
     SAVE TO zSongs.mem ALL LIKE  SongYesNoN*
     Form_6.Song_1.VISIBLE := .T.
     Form_6.Song_2.VISIBLE := .F.  
     Form_6.Player_1.Open (cFileDp)
     Form_6.Player_1.Play() 
 ELSE
    SongYesNoN  = 2
    SAVE TO zSongs.mem ALL LIKE  SongYesNoN*
    Form_6.Player_1.Close() 
 ENDIF

 RESTORE FROM zSongs.mem  ADDITIVE
 
 IF SongYesNoN  = 1
     Form_6.Song_1.VISIBLE := .T.
     Form_6.Song_2.VISIBLE := .F.    
  ELSE 
    Form_6.Song_2.VISIBLE := .T. 
    Form_6.Song_1.VISIBLE := .F. 
  ENDIF


Return Nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
